      SUBROUTINE HYEDIT (IEDFLG,FILE)
C--RUN AN EDITOR WITHIN HYPOINVERSE. USED TO INTERACTIVELY PROCESS EVENTS.
      CHARACTER FILE*(*)

C--VAX
C      IF (IEDFLG.EQ.1) THEN
C        CALL EDT$EDIT (FILE)
C      ELSE IF (IEDFLG.EQ.2) THEN
C        CALL SPAWN (('ED '//FILE))
C      END IF

C--SUN/UNIX
      IF (IEDFLG.EQ.1) THEN
        CALL SPAWN (('dtpad '//FILE))
      ELSE IF (IEDFLG.EQ.2) THEN
        CALL SPAWN (('vi '//FILE))
      ELSE IF (IEDFLG.EQ.3) THEN
        CALL SPAWN (('textedit '//FILE))
      END IF

      RETURN
      END
